package org.nl.acs.opc;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 20220102CG\noblelift
 */
@Data
public class OpcItemDto {
    private String device_code;
    private String device_name;
    private String driver_code;
    private String opc_server_code;
    private String opc_plc_code;
    private String item_code;
    private Object item_value;

    private Object his_item_value;

    private Boolean need_log = Boolean.valueOf(false);
    private List<String> relate_items = new ArrayList();

    public String getDevice_code() {
        return this.device_code;
    }

    public void setDevice_code(String device_code) {
        this.device_code = device_code;
    }

    public String getDevice_name() {
        return this.device_name;
    }

    public void setDevice_name(String device_name) {
        this.device_name = device_name;
    }

    public String getDriver_code() {
        return this.driver_code;
    }

    public void setDriver_code(String driver_code) {
        this.driver_code = driver_code;
    }

    public String getOpc_server_code() {
        return this.opc_server_code;
    }

    public void setOpc_server_code(String opc_server_code) {
        this.opc_server_code = opc_server_code;
    }

    public String getOpc_plc_code() {
        return this.opc_plc_code;
    }

    public void setOpc_plc_code(String opc_plc_code) {
        this.opc_plc_code = opc_plc_code;
    }

    public String getItem_code() {
        return this.item_code;
    }

    public void setItem_code(String item_code) {
        this.item_code = item_code;
    }

    public Object getItem_value() {
        return this.item_value;
    }

    public void setItem_value(Object item_value) {
        this.item_value = item_value;
    }

    public Boolean getNeed_log() {
        return this.need_log;
    }

    public void setNeed_log(Boolean need_log) {
        this.need_log = need_log;
    }

    public List<String> getRelate_items() {
        return this.relate_items;
    }

    public void setRelate_items(List<String> relate_items) {
        this.relate_items = relate_items;
    }

}
